# Uses of Class
org.jfree.chart3d.graphics3d.RenderingInfo

Packages that use RenderingInfo
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.export
Classes for exporting charts.
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.
org.jfree.chart3d.graphics3d.swing
Components to display 3D graphics in Swing applications.

## Uses of RenderingInfo in org.jfree.chart3d

Methods in org.jfree.chart3d that return RenderingInfo
Modifier and Type
Method
Description
`RenderingInfo`
Chart3D.`draw(Graphics2D g2, Rectangle2D bounds)`
Draws the chart to the specified output target.

## Uses of RenderingInfo in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis with parameters of type RenderingInfo
Modifier and Type
Method
Description
`abstract void`
AbstractAxis3D.`draw(Graphics2D g2, Point2D startPt, Point2D endPt, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis along an arbitrary line (between `startPt` and `endPt`).
`void`
Axis3D.`draw(Graphics2D g2, Point2D startPt, Point2D endPt, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis along an arbitrary line (between `startPt` and `endPt`).
`void`
LogAxis3D.`draw(Graphics2D g2, Point2D startPt, Point2D endPt, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis.
`void`
NumberAxis3D.`draw(Graphics2D g2, Point2D pt0, Point2D pt1, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis to the supplied graphics target (`g2`, with the specified starting and ending points for the line.
`void`
StandardCategoryAxis3D.`draw(Graphics2D g2, Point2D pt0, Point2D pt1, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis between the two points `pt0` and `pt1` in Java2D space.
`protected Shape`
AbstractAxis3D.`drawAxisLabel(String label, Graphics2D g2, Line2D axisLine, Point2D opposingPt, double offset, RenderingInfo info, boolean hinting)`
Draws the specified text as the axis label and returns a bounding shape (2D) for the text.

## Uses of RenderingInfo in org.jfree.chart3d.export

Methods in org.jfree.chart3d.export that return RenderingInfo
Modifier and Type
Method
Description
`static RenderingInfo`
ExportUtils.`writeAsJPEG(Drawable3D drawable, int w, int h, File file)`
Writes the current content to the specified file in JPEG format.
`static RenderingInfo`
ExportUtils.`writeAsPDF(Drawable3D drawable, int w, int h, File file)`
Writes a `Drawable3D` to the specified file in PDF format.
`static RenderingInfo`
ExportUtils.`writeAsPNG(Drawable3D drawable, int w, int h, File file)`
Writes the current content to the specified file in PNG format.
`static RenderingInfo`
ExportUtils.`writeAsSVG(Drawable3D drawable, int w, int h, File file)`
Writes the current content to the specified file in SVG format.

## Uses of RenderingInfo in org.jfree.chart3d.graphics3d

Methods in org.jfree.chart3d.graphics3d that return RenderingInfo
Modifier and Type
Method
Description
`RenderingInfo`
DefaultDrawable3D.`draw(Graphics2D g2, Rectangle2D bounds)`
Draws the current view to a `Graphics2D` instance.
`RenderingInfo`
Drawable3D.`draw(Graphics2D g2, Rectangle2D bounds)`
Draws the scene to the supplied `Graphics2D` target and returns an object containing state information about the rendering.

## Uses of RenderingInfo in org.jfree.chart3d.graphics3d.swing

Methods in org.jfree.chart3d.graphics3d.swing that return RenderingInfo
Modifier and Type
Method
Description
`protected RenderingInfo`
Panel3D.`getRenderingInfo()`
Returns the rendering info from the previous call to draw().